﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikTest.Models;
using Telerik.Web.Mvc;

namespace TelerikTest.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        [GridAction]
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            var posts = PostRepository.GetAll();

            if (Request.IsAjaxRequest())
                return View(new GridModel(posts));

            return View(posts);
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
