﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using System.ComponentModel;
using System.Runtime.Serialization;

namespace TelerikTest.Models
{
    [KnownType(typeof(Post))]
    public class Post
    {
        public Post()
        {
        }

        [ScaffoldColumn(false)]
        public int Id { get; set; }

        public string Title { get; set; }

        //[DisplayFormat(ApplyFormatInEditMode = true)]
        [UIHint("PostContent")]
        public string PostContent { get; set; }

        public string Tags { get; set; }

        [HiddenInput]
        [ReadOnly(true)]
        public DateTime CreatedDate { get; set; }

        [ScaffoldColumn(false)]
        [HiddenInput]
        [ReadOnly(true)]
        public DateTime LastUpdatedDate { get; set; }
    }
}
