﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<TelerikTest.Models.Post>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%= Html.Encode(ViewData["Message"]) %></h2>
    <p>
        To learn more about ASP.NET MVC visit <a href="http://asp.net/mvc" title="ASP.NET MVC Website">http://asp.net/mvc</a>.
    </p>
    
    <% Html.Telerik().Grid(Model)
        .Name("Grid")
        .DataKeys(dataKeys => dataKeys.Add(m => m.Id))
        .DataBinding(dataBinding =>
            {
                dataBinding.Ajax().Select("Index", "Home");
                dataBinding.Ajax().Insert("Create", "Home");
                dataBinding.Ajax().Update("Edit", "Home");
                dataBinding.Ajax().Delete("Delete", "Home");
            })
        .Columns(columns =>
            {
                columns.Command(commands =>
                    {
                        commands.Edit();
                        commands.Delete();
                    }).Width(80);
                columns.Bound(m => m.Title).Title("Title");
                columns.Bound(m => m.PostContent).Title("Content");
                columns.Bound(m => m.Tags).Title("Tags");
                columns.Bound(m => m.CreatedDate).Title("Created At");
            })
        .Pageable(pager => pager.PageSize(10))
        .Sortable()
        .Editable(editing => editing.Mode(GridEditMode.InForm))
        .Filterable()
        .Render(); 
    %>
</asp:Content>
